kdeui Library: KFontCombo Class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KFontCombo Class Reference

A combobox that lists the available fonts. More...

`#include <kfontcombo.h>`

Inheritance diagram for KFontCombo:

[legend]
Collaboration diagram for KFontCombo:

[legend]
List of all members.

## Public Member Functions
| KFontCombo (QWidget *parent, const char *name=0)
| KFontCombo (const QStringList &fonts, QWidget *parent, const char *name=0)
virtual | ~KFontCombo ()
void | setFonts (const QStringList &fonts)
void | setCurrentFont (const QString &family)
QString | currentFont () const
void | setBold (bool bold)
bool | bold () const
void | setItalic (bool italic)
bool | italic () const
void | setUnderline (bool underline)
bool | underline () const
void | setStrikeOut (bool strikeOut)
bool | strikeOut () const
void | setSize (int size)
int | size () const
virtual void | setCurrentItem (int i)
## Static Public Member Functions
static bool | displayFonts ()
## Protected Slots
void | slotModified (int i)
## Protected Member Functions
void | updateFonts ()
virtual void | virtual_hook (int id, void *data)
## Properties
QString | family
bool | bold
bool | italic
bool | underline
bool | strikeOut
int | fontSize
## Friends
class | KFontListItem

## Detailed Description

A combobox that lists the available fonts.

The items are painted using the respective font itself, so the user can easily choose a font based on its look. This can be turned off globally if the user wishes so.

Author:
  Malte Starostik <malte@kde.org>

Definition at line 35 of file kfontcombo.h.

## Constructor & Destructor Documentation

KFontCombo::KFontCombo | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |

  | Constructor. Parameters:
  | parent | The parent widget
  | name | The object name for the widget
Definition at line 163 of file kfontcombo.cpp. References KFontChooser::getFontList(), and setFonts().

KFontCombo::KFontCombo | ( | const QStringList & | fonts,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

  | Constructor that takes an already initialzed font list. Parameters:
  | fonts | A list of fonts to show
  | parent | The parent widget
  | name | The object name for the widget
Definition at line 172 of file kfontcombo.cpp. References setFonts().

KFontCombo::~KFontCombo | ( |  | ) | `[virtual]`

| Destructor. Definition at line 260 of file kfontcombo.cpp.

## Member Function Documentation

void KFontCombo::setFonts | ( | const QStringList & | fonts | ) |

  | Sets the font list. Parameters:
  | fonts | Font list to show
Definition at line 179 of file kfontcombo.cpp. References QComboBox::clear(). Referenced by KFontCombo().

void KFontCombo::setCurrentFont | ( | const QString & | family | ) |

  | Sets the currently selected font. Parameters:
  | family | Font to select.
Definition at line 189 of file kfontcombo.cpp. References QComboBox::count(), QString::find(), QString::left(), QString::lower(), setCurrentItem(), and QComboBox::text().

QString KFontCombo::currentFont | ( |  | ) | const

| Returns: the currently selected font. Definition at line 237 of file kfontcombo.cpp. References QComboBox::currentText().

void KFontCombo::setBold | ( | bool | bold | ) |

  | Sets the listed fonts to bold or normal. Parameters:
  | bold | Set to true to display fonts in bold
Definition at line 265 of file kfontcombo.cpp. References updateFonts().

bool KFontCombo::bold | ( |  | ) | const

| Returns the current bold status. Returns: true if fonts are bold

void KFontCombo::setItalic | ( | bool | italic | ) |

  | Sets the listed fonts to italic or regular. Parameters:
  | italic | Set to true to display fonts italic
Definition at line 278 of file kfontcombo.cpp. References updateFonts().

bool KFontCombo::italic | ( |  | ) | const

| Returns the current italic status. Returns: True if fonts are italic

void KFontCombo::setUnderline | ( | bool | underline | ) |

  | Sets the listed fonts to underlined or not underlined. Parameters:
  | underline | Set to true to display fonts underlined
Definition at line 291 of file kfontcombo.cpp. References updateFonts().

bool KFontCombo::underline | ( |  | ) | const

| Returns the current underline status. Returns: True if fonts are underlined

void KFontCombo::setStrikeOut | ( | bool | strikeOut | ) |

  | Sets the listed fonts to striked out or not. Parameters:
  | strikeOut | Set to true to display fonts striked out
Definition at line 304 of file kfontcombo.cpp. References updateFonts().

bool KFontCombo::strikeOut | ( |  | ) | const

| Returns the current strike out status. Returns: True if fonts are striked out

void KFontCombo::setSize | ( | int | size | ) |

  | Sets the listed fonts' size. Parameters:
  | size | Set to the point size to display the fonts in
Definition at line 317 of file kfontcombo.cpp. References QFontMetrics::lineSpacing(), QFont::setPointSize(), and updateFonts().

int KFontCombo::size | ( |  | ) | const

| Returns the current font size. Returns: The point size of the fonts Definition at line 329 of file kfontcombo.cpp. References QFontMetrics::size().

bool KFontCombo::displayFonts | ( |  | ) | `[static]`

| Returns the user's setting of whether the items should be painted in the respective fonts or not. Returns: True if the respective fonts are used for painting Definition at line 346 of file kfontcombo.cpp. References KGlobal::config(), and KConfigBase::readBoolEntry().

void KFontCombo::setCurrentItem | ( | int | i | ) | `[virtual]`

| Simply calls QComboBox' implementation. Only here to not become shadowed. Reimplemented from KComboBox. Definition at line 244 of file kfontcombo.cpp. References QComboBox::setCurrentItem(). Referenced by setCurrentFont().

void KFontCombo::updateFonts | ( |  | ) | `[protected]`

| Updated the combo's listBox() to reflect changes made to the fonts' attributed. Definition at line 334 of file kfontcombo.cpp. References QComboBox::count(), and QComboBox::listBox(). Referenced by setBold(), setItalic(), setSize(), setStrikeOut(), and setUnderline().

The documentation for this class was generated from the following files:

- kfontcombo.h
- kfontcombo.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003